sc::BEMSolvent Class Reference
Inheritance diagram for sc::BEMSolvent:
[legend]
Collaboration diagram for sc::BEMSolvent:
[legend]

## Public Member Functions

| BEMSolvent (const Ref< KeyVal > &)
void | init ()
void | done (int clear_surface=1)
int | ncharge ()
Ref< Molecule > | solvent ()
double | solvent_density ()
double ** | alloc_charge_positions ()
void | free_charge_positions (double **a)
double ** | alloc_normals ()
void | free_normals (double **a)
double * | alloc_efield_dot_normals ()
void | free_efield_dot_normals (double *a)
double * | alloc_charges ()
void | free_charges (double *a)
void | charge_positions (double **)
void | normals (double **)
void | compute_charges (double *efield_dot_normals, double *charge)
void | normalize_charge (double enclosed_charge, double *charges)
double | nuclear_charge_interaction_energy (double *nuclear_charge, double **charge_positions, double *charge)
double | nuclear_interaction_energy (double **charge_positions, double *charge)
double | self_interaction_energy (double **charge_positions, double *charge)
double | polarization_charge (double *charge)
double | area () const
double | volume () const
double | computed_enclosed_charge () const
double | disp ()
double | rep ()
double | disprep ()
void | init_system_matrix ()
Ref< TriangulatedImplicitSurface > | surface () const
Ref< SCMatrixKit > | matrixkit ()
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- bem.h